%define snap r373828

#Module-Specific definitions
%define mod_name mod_mbox
%define mod_conf A50_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary: 	Mod_mbox is a mailing list archive browser
Name: 		apache-%{mod_name}
Version: 	0.2
Release: 	%mkrel 1.%{snap}.2
License: 	Apache License
Group: 		System/Servers
URL: 		http://httpd.apache.org/mod_mbox/
Source0:	%{mod_name}-%{version}-%{snap}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot: 	%{_tmppath}/%{name}-root

%description
mod_mbox is a mailing list archive browser. Functionality includes:
     
 o A dynamic browsing interface, using AJAX (Asynchronous Javascript And XML)
 o A flat, Javascript-less interface, using static XHTML
 o Mail attachments and MIME parts viewing and downloading

%prep

%setup -q -n %{mod_name}

for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
rm -rf autom4te.cache
touch module-2.0/config.in config.in
libtoolize --copy --force; aclocal-1.7 -I m4; automake-1.7 --add-missing --copy --foreign; autoconf --force

%configure2_5x \
    --with-apxs=%{_sbindir}/apxs

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_libdir}/apache %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE NOTICE README STATUS scripts data
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/mod_*.so
%attr(0755,root,root) %{_bindir}/mod-mbox-util
%{_var}/www/html/addon-modules/*

%changelog
* Sun Aug 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1.%{snap}.2mdv2007.0
- rebuild

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-0.r373828.2mdk
- use correct license

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-0.r373828.1mdk
- initial Mandriva package
